using System.Windows;
using McLaren_WPF.Interfaces;
using McLaren_WPF.ViewModels;
using McLaren_WPF.Views;
using Microsoft.Practices.Unity;
using Prism.Unity;

namespace McLaren_WPF
{
    public class Bootstrapper : UnityBootstrapper
    {
        protected override DependencyObject CreateShell()
        {
          return  Container.Resolve<Shell>();
        }

        protected override void InitializeShell()
        {
           Application.Current.MainWindow.Show();
        }

        protected override void ConfigureContainer()
        {
            base.ConfigureContainer();
  
            Container.RegisterType<IDataChannelViewModel, DataChannelViewModel>();
            Container.RegisterType<IMonitorsSetViewModel, MonitorsSetViewModel>();
        }
    }
}
